Subject: Re: [PATCH v4 0/3] Isolate If-Modified-Since handling in gitweb

From: Jakub Narebski <[email-masked]>
Date: Tue, 27 Mar 2012 20:57:31 +0100

W. Trevor King wrote:
> On Tue, Mar 27, 2012 at 08:24:22PM +0100, Jakub Narebski wrote:

> > Though I am not sure how lack of "Status:" header is different from
> > incorrect "Status:" header for 'grep "Status: 304" gitweb.headers'...
> 
> It's not for the 304 tests.  I thought it would be a good idea to grep
> for a 200 status before looking for Last-Modified times, to ensure you
> actually get to the successful response stage.

Right.

Testing both sides of a new feature (i.e. modified and unmodified here)
is a good testing practice.  Thanks.

-- 
Jakub Narebski
Poland